
.show {
    display: block !important;
}

.hidden {
    display: none !important;
}

.invisible {
    visibility: hidden;
}

.element {
. show();
}

.another-element {
. hidden();
}


.paddingnull {
    padding: 0px !important;
}

.paddingnull-lr {
    padding-left: 0px !important;
    padding-right: 0px !important;;
}

.marginnull- {
    margin: 0px !important;
}


.marginnull-lr {
    margin-left: 0px !important;
    margin-right: 0px !important;;
}


.succAlert {
    color: #5787e4 !important;
}

/*首页圆形菜单*/
.page-body {
    position: relative;
    width: 100%;
    height: calc(100% - 60px);
    background: transparent;
    top: 60px;
}


.subject-item {
    height: 274px;
    border-radius: 12px;
    background-color: rgba(255, 255, 255, 1);
    border: 1px solid rgb(22 27 32 / 20%);
    box-shadow: 0px 0px 7px 2px rgb(22 27 32 / 20%);
    margin: 0 32px 32px 0;
    position: relative;
    display: inline-flex;
    text-align: center;
    outline: none;
    width: calc(25% - 86px);
    min-width: 290px;
}

.subject-item a {
    width: 100%;
    height: 100%;
    margin: 14px 0 0 14px;
}


.subject-item .subject-item-image {
    z-index: 45;
    width: calc(100% - 40px);
    height: 184px;
    border-radius: 10px;
    position: absolute;
    left: 20px;
    top: 20px;
    background-size: 100% 100% !important;

}

.subject-item.disabled {
    background-color: #999;
    opacity: 0.1;
    pointer-events: none;
    filter: alpha(opacity=70);
    /*background-mobile: url("/static//images/component/bg-home-index-disbtn.png");*/
}

.subject-item-nei-span {
    position: absolute;
    left: 0px;
    z-index: 47;
    width: 144px;
    height: 33px;
    display: inline-block;
    color: rgba(255, 255, 255, 1);
    font-size: 24px;
    font-family: PingFangSC-Medium;
    white-space: nowrap;
    line-height: 33px;
    text-align: left;
    margin: 24px 0 0 32px;
}


.subject-item-description {
    position: absolute;
    width: calc(100% - 40px);
    height: 40px;
    font-size: 12px;
    font-family: PingFangSC-Regular;
    line-height: 20px;
    text-align: left;
    color: rgba(89, 89, 89, 1);
    overflow: hidden;
    text-overflow: ellipsis;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    display: -webkit-box;
    bottom: 20px;
    left: 20px;
}


.subject-item-nei {
    color: #fff;
    text-decoration: none !important;
    font-family: Alibaba-PuHuiTi-Regular, serif;
    font-size: 23px;
    position: absolute;
    left: 0;
    top: 0;
    width: 170px;
}

.row {
    width: 100%;
    height: auto;
    margin: 0 auto;
}

.subject-item-composite-title {
    width: 100%;
    height: 100%;
    /*font-size: 3em;*/
    /*text-align: center;*/
    vertical-align: middle;
    /*color: #4082ed;*/
    padding: 20px;
    /*margin: 0 auto;*/
}

.subject-item-composite-body {
    width: 100%;
    z-index: 0;
    text-align: center;
    margin: 0 auto;
    padding: 20px 0;
    overflow-y: auto;
    height: 100%;
    background-color: rgba(244, 245, 248, 1);
    /*margin: 39px 0 0 0px;*/
}

.subject-item:hover {
    border: 1px solid rgba(22, 27, 32, 0.3);
    box-shadow: inset 0px 0px 7px 2px rgb(22 27 32 / 20%), 0px 0px 7px 2px rgb(22 27 32 / 20%);
    /*box-shadow: 0px 4px 10px 4px rgb(22 27 32 / 20%);*/
}

.subject-item:hover .subject-item-nei-span {
    /*color: rgba(21, 69, 255, 1);*/
}

.subject-item:hover .subject-item-description {
    color: rgba(21, 69, 255, 1);
}

.manager {
    position: absolute;
    right: 60px;
    bottom: 200px;
    /*min-height: 50px;*/
    height: 50px;
    width: 200px;
    border-radius: 100%;
    background-color: #a0b7e8;
    text-align: center;
    line-height: 50px;
    font-size: 23px;
    color: #FFFFFF;
    z-index: 3;
}

textarea {
    font-family: Consolas, Monaco, Lucida Console, Liberation Mono, DejaVu Sans Mono, Bitstream Vera Sans Mono, Courier New, monospace !important;
}


/*.page-card-item:hover {*/
/*    color: #FFF !important;*/
/*    box-shadow: 10px 10px 40px #b9c9e8, -10px -10px 40px #b9c9e8;*/
/*    background: linear-gradient(145deg, #3270bb, #1b3b75);*/
/*}*/


.yune-input, .yune-select {
    height: 24px;
    background: none;
    outline: none;
    border: 0px;
}


.yune-input:hover, .yune-select:hover, .yune-input:focus, .yune-select:focus {
    border: 1px solid #8ebdd4 !important;
}


.yune-input::-webkit-input-placeholder { /* WebKit, Blink, Edge */
    color: #ffffff !important;
    font-size: 10px !important;
}


/*-------------------------------------------------------------------subject---------------------------------------------------------------*/
/*-------------------------------------------------------------------subject---------------------------------------------------------------*/
/*-------------------------------------------------------------------subject---------------------------------------------------------------*/

.kechengimage span, .kechengimage p {
    display: none;
}

.bg-shiyan-widget {
    padding: 0;
    box-sizing: border-box;
    position: relative;
    width: calc(30% - 110px);
    float: left;
    min-width: 306px;
    z-index: 54;
    height: 86px;
    border-radius: 12px;
    border: 1px solid rgba(21, 69, 255, 0.5);
    box-shadow: 0px 1px 7px 4px rgb(22 27 32 / 20%);
    margin: 0 36px 45px 0;
    background: rgba(203, 213, 251, 1);

}

.bg-shiyan-widget.dis {
    opacity: 0.5;
}

.bg-shiyan-widget a {
    display: block;
    height: 100%;
    line-height: 100%;
}

.yrcGroup_title {
    display: inline-block;
    height: 84px;
    border-radius: 12px 0 0 12px;
    border-right: 1px solid rgba(21, 69, 255, 1);
    background-color: rgba(255, 255, 255, 1);
    width: 78px;
    float: left;
}

.yrcGroup_box::before {
    content: "";
    z-index: 50;
    position: absolute;
    left: 77px;
    top: 32px;
    width: 0;
    height: 0;
    border-bottom: 12px solid transparent;
    border-left: 12px solid #fff;
    border-right: 12px solid transparent;
    border-top: 12px solid transparent;
}

.yrcGroup_box::after {
    content: "";
    position: absolute;
    left: 77px;
    top: 30px;
    width: 0px;
    height: 0px;
    border-bottom: 14px solid transparent;
    border-left: 14px solid rgba(21, 69, 255, 1);
    border-right: 14px solid transparent;
    border-top: 14px solid transparent;
}


.bg-shiyan-title15 {

}

.bg-shiyan-title15.dis {
    color: #7977775e;
}


.bg-shiyan-body, .bg-shiyan-body2 {
    color: rgba(21, 69, 255, 1);
    font-size: 20px;
    font-family: PingFangSC-Medium;
    padding: 0 9px;
    margin-left: 92px;
    line-height: 28px;
    text-align: left;
    overflow: hidden;
    text-overflow: ellipsis;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    display: -webkit-box;
    vertical-align: middle;
    position: relative;
    top: 50%;
    transform: translateY(-50%);
}


.bg-shiyan-widget:hover {
    background: rgba(21, 69, 255, 1);
    border: 1px solid rgba(21, 69, 255, 1);
}

.bg-shiyan-widget:hover .bg-shiyan-body {
    color: rgba(255, 255, 255, 1);
}

.text-wrapper_1 {
    width: 36px;
    height: 70px;
    margin: 13px 0 0 20px;
}

.yrcGroup_text_6 {
    width: 36px;
    height: 25px;
    display: inline-block;
    color: rgba(21, 69, 255, 1);
    font-size: 18px;
    font-family: PingFangSC-Regular;
    white-space: nowrap;
    line-height: 25px;
    text-align: left;
}

.yrcGroup_text_7 {
    width: 20px;
    height: 44px;
    display: inline-block;
    color: rgba(21, 69, 255, 1);
    font-size: 36px;
    font-family: DIN-BlackItalic;
    white-space: nowrap;
    line-height: 44px;
    text-align: center;
    margin: -4px 0 0 6px;
}

.yrcGroup_text_8 {
    width: 20px;
    height: 44px;
    display: inline-block;
    color: rgba(21, 69, 255, 1);
    font-size: 36px;
    font-family: DIN-BlackItalic;
    white-space: nowrap;
    line-height: 44px;
    text-align: center;
    margin: -4px 0 0 0px;
}


.yrcGroup_text_9 {
    width: 20px;
    height: 44px;
    display: inline-block;
    color: rgba(21, 69, 255, 1);
    font-size: 19px;
    font-family: DIN-BlackItalic;
    white-space: nowrap;
    line-height: 44px;
    text-align: center;
    margin: -4px 0 0 0px;
}

.yrcGroup_image {
    z-index: 50;
    position: absolute;
    left: 86px;
    top: 46px;
    width: 10px;
    height: 24px;
}


.bg-shiyan-body:hover {
}

.bg-shiyan-body2:hover {
}

.bg-shiyan-body2.dis {
    color: #7977775e;
}

.bg-shiyan-body.dis {
    color: #7977775e;
}

.clearBoth {
    clear: both;
}

.bg-panel-middle {
    width: 500px;
    height: 500px;
    position: absolute;
    line-height: 500px;
    text-align: center;
    top: 50%;
    left: 50%;
    margin-left: -250px;
    margin-top: -250px;
    font-size: 3em;
    font-family: Alibaba-PuHuiTi-Bold;
    background: rgba(0, 255, 255, 0.2);
    opacity: 0.2;
    border-radius: 100%;
    text-decoration: none;
}

.pagesize-left div a {
    text-decoration: none;
}

.pagesize-left .kecheng {
    height: 22px;
    display: inline-block;
    color: rgba(38, 38, 38, 1);
    font-size: 16px;
    font-family: PingFangSC-Medium;
    white-space: nowrap;
    line-height: 22px;
    text-align: left;
    margin-top: 18px;
}

.pagesize-left .kechengimage {
    width: 100%;
    position: relative;
}


.pagesize-left .kechengimage > img {
    z-index: 44;
    position: relative;
    width: 100%;
    height: 248px;
    border-radius: 15px;
    overflow: hidden;
    background: url(/media/images/blue/subject_bg2.png) 100% no-repeat;
}

.pagesize-left .kechengimage a label {
    font-size: 2em;
}

.pagesize-left .kechengdescription {

}

.pagesize-left .kechengdescription .buzhou-detail {
    text-decoration: none;
    height: 100%;
    overflow: auto;
    display: inline-block;
    color: rgba(89, 89, 89, 1);
    font-size: 14px;
    font-family: PingFangSC-Regular;
    line-height: 20px;
    text-align: justify;
    margin-top: 8px;
    font-weight: normal;
    white-space: break-spaces;
}

.pagesize-left .kechengdescription .buzhou-detail a {
    letter-spacing: 8px;
    text-decoration: none;
    background: #f2f1ef;
    border-radius: 8px;
    text-decoration: none;
}


.pagesize-left .kechengdescription .buzhou-detail img {
    padding-left: 50%;
    margin-left: -17px;
}


.pagesize-left .kechengdescription a label {
    font-size: 2em;
}

.select-control {
    width: 100%;
    height: 35px;
    line-height: 35px;
}

.form-group {
    /*min-width: 650px;*/
}

.shiyan {
    background-color: #ff718e;
    font-size: 15px;
    border-radius: 3px;
    width: 100px;
    display: inline-flex;
    height: 29px;
    line-height: 29px;
    color: #FFFFFF;
    padding: 0 10px;
    text-align: center;
    text-decoration: none !important;
}

/*------------------------------left--------------------------------------*/

.pagesize-left .leftmenu {
    font-size: 17px;
    text-decoration: none;
    font-family: Alibaba-PuHuiTi-Regular, serif;
    color: #333;
    cursor: pointer;
}

.pagesize-left .leftmenu a {
    text-decoration: none;
    display: flex;
    /*height: 24px;*/
    width: 100%;
    cursor: pointer;
    font-size: 16px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    /*display: -webkit-box;*/
    /*-webkit-box-orient: vertical;*/
    -webkit-line-clamp: 2;
}

.pagesize-left .leftmenu a:hover {
}

.pagesize-left .leftmenu a.active {
}

.pagesize-left .leftmenu .history-detail {
    padding-left: 60px;
    padding: 5px 0 5px 30px;
    font-size: 12px;
}

.pagesize-left .leftmenu .buzhou-detail, .pagesize-left .leftmenu .baogao-detail {
    position: relative;
    cursor: default;
}

.pagesize-left .leftmenu .buzhou-detail.active, .pagesize-left .leftmenu .baogao-detail.active {
    background-color: rgba(165, 184, 252, 1);
}

.pagesize-left .leftmenu .buzhou-detail.active::before, .pagesize-left .leftmenu .baogao-detail.active::before {
    content: "";
    border-left: 4px solid rgba(27, 76, 253, 1);
    width: 4px;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
}

.buzhou-detail a, .baogao-detail a {
    padding: 2px 0 5px 24px;
}

.pagesize-left img {
    width: 20px;
    height: 20px;
    float: left;
    margin-right: 6px;
}

/* -------------------------------------------------------------------------------------------------*/
/* ----------------------------------------subject svg rect fill  ----------------------------------*/
/* -------------------------------------------------------------------------------------------------*/
.svg-rect-class {
    width: 165px;
    height: 60px;
    fill: rgb(151, 170, 242);
    stroke-width: 1;
    stroke: rgb(255, 255, 255);
}

.svg-text-class:hover .svg-rect-class, .svg-rect-class:hover {
    stroke: rgb(101, 139, 255) !important;
}


.manage-right .manage-index-title-css {
    color: #4894eb !important;
}


/*-----------------------experiment ----------------*/


.cornerCut4 {
    width: 100%;
    height: 100%;
    background: transparent;
    padding: 5px;
}

.cornerCut4 > textarea {
    text-align: left;
    height: calc(100% - 85px);
    width: 100%;
    border: 0px;
    margin: 0px;
    resize: none;
    overflow: auto;
    background: transparent;
}

.subject-item-composite-title {
    width: 100%;
    height: 100%;
    /*font-size: 3em;*/
    text-align: center;
    vertical-align: middle;
    /*color: #4082ed;*/
    padding: 20px;
    margin: 0 auto;
}

.cornerCut4 > span {
    color: #5c84d8;
}

/*-----------------------problem------ ----------------*/

.open-small-chat {
    background: #8baeec !important;
}

.open-small-chat:hover {
    background: #4894eb !important;
}

.myskin {
    box-shadow: 0 0 0 rgba(0, 0, 0, 0); /*前景无阴影*/
}


.index-system-text  {
     display: none;
}

.justify-between {
   display: none;
}

.index-system-left {
    display: none;
}

.index-system-title {
   display: none;
}

.index-system-rigth {
   display: none;
}

.index-system--title-en {
     display: none;
}
.carousel-control-left-arrow{
    display: none;
}
.carousel-control-right-arrow{
    display: none;
}


.subject-item-composite-title .item {
    float: left;
    display: inline-block;
    width: 25%;
    margin: 0 25px;
}

.page-card {
    font-family: Alibaba-PuHuiTi-Regular, serif;
    position: relative;
    display: inline-flex;
    text-align: center;
    outline: none;
    width: 270px;
    height: 260px;
    background: transparent;
    box-shadow: none;
    margin: 5px 7px;
}

.page-card-item {
    background: url(/media/images/common/classroom2.png) no-repeat;
    background-position: left top;
    background-repeat: no-repeat;
    background-attachment: inherit;
    background-size: 100% 100%;
    width: 100%;
    /* height: 100%; */
    box-shadow: 10px 10px 50px 20px #d5f3fe inset;
    box-shadow: 0px 3px 15px #cfd8e6;
    border-radius: 0px;
}


.page-card-item img {
    position: absolute;
    left: 30px;
    top: 18px;
    font-size: 21px;
    width: 24px;
}
.page-card a i, .page-card a span {
    position: absolute;
    left: 8%;
    top: 6.5%;
}
.page-card a span {
    position: absolute;
    font-size: 24px;
    font-family: Source Han Sans CN;
    font-weight: 500;
    color: #3871FF;
    line-height: 24px;
    background: linear-gradient(90deg, #3871FF 0%, #00C2D9 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    top: 6.5%;
    margin-left: 15%;
    text-align: left;
}

.page-card a .index_jiantou, .page-card a span.index_module_english {
    display: none;
}


.page-card-composite-body {
    z-index: 0;
    margin: 0 auto;
    overflow-y: auto;
    top: calc(36% - 150px) !important;/* 132 = height / 2 */
    /* top: calc(43% - 181px) !important; 132 = height / 2 */
    width: 100%;
    position: relative;
    text-align: center;
    padding: 0 4%;
    height: 65%;
    margin-bottom: 20px;
}

.system-text {
    font-size: 48px;
    font-family: Source Han Sans CN;
    font-weight: 500;
    color: #3A3A3A;
}

.system-title {
    z-index: 0;
    margin: 0 auto;
    overflow-y: auto;
    top: calc(50% - 285px);
    width: calc(1200px - 30px);
    position: relative;
    text-align: left;
    /*    --------------------------    */
    animation: system-title 5s 1;
}

.system-desc {
    /*   ---------------desc--------------*/
    height: 93px;
    font-size: 23px !important;
    font-family: Source Han Sans CN;
    font-weight: bold;
    color: #0064FF;
    background: linear-gradient(93deg, #a9b5f5 1.3916015625%, #a7b7f4 41.455078125%, #f0f3fb 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-decoration: none;
    font-style: oblique;
}

@media (max-width: 1280px) {
    .subject-content {
        text-align: center;
    }
    .system-title {
        position: relative;
        top: 50px;
        left: 93px;
    }
}


.pagesize-box-shadow .kechengimage p {
    margin: 0;
    width: 32px;
    height: 4px;
    background: #FFFFFF;
    position: absolute;
    left: 30px;
    top: 24px;
}

.pagesize-box-shadow .kechengimage span {
    position: absolute;
    color: #FFFFFF;
    left: 30px;
    top: 42px;
    font-family: Source Han Sans CN;
    font-weight: bold;
    font-size: 18px;
}

.yrcGroupTitle {
    display: none;
}

/*@media (max-width: 1680px) {*/
/*    .subject-item-composite-body {*/
/*        padding: 55px 4%;*/
/*    }*/
/*}*/


@media (min-width: 1px) and (max-width: 1580px) {

    .bg-shiyan-widget {
        min-width: 280px;
    }
}

@media (max-width: 1680px) {

    .bg-shiyan-body {
        font-size: 23px;
    }
}